Subject: RE: bug#65811: 27.1; zzzzzzzz forever

From: Bruce Adams <[email-masked]>
Date: Fri, 8 Sep 2023 15:02:05 +0000

It was irritating enough to make me switch to the windows native install as rather than just coming up in the warnings window/tile
It replaces the window/tile with the file I'm editing with the warnings tile. I think that may be a lesser bug as well.

In >20 years of using emacs I never had a problem until WSL came along.

-----Original Message-----
From: Eli Zaretskii <[email-masked]> 
Sent: Friday, September 8, 2023 2:15 PM
To: Bruce Adams <[email-masked]>; Ken Brown <[email-masked]>
Cc: [email-masked]
Subject: Re: bug#65811: 27.1; zzzzzzzz forever

> Date: Fri, 8 Sep 2023 11:49:54 +0000
> From:  Bruce Adams via "Bug reports for GNU Emacs,  the Swiss army 
> knife of text editors" <[email-masked]>
> 
> Actually the workaround of using Cygwin does not quite work. I get issues with this saving files:
> 
> ■  Warning (unlock-file): Unlocking file: Invalid argument, 
> //wsl.localhost/Ubuntu-22.04/home/brucea/foobar, ignored

That's just a warning, and you can turn it off if you want.

Maybe Ken (CCed) could help out with the Cygwin issue of file-locking.